--------------------------------------------------------------------------------
-- Resources/Game/DB/Cooking/Ingredients.lua
--
-- This file is a part of ItsyScape.
--
-- This Source Code Form is subject to the terms of the Mozilla Public
-- License, v. 2.0. If a copy of the MPL was not distributed with this
-- file, You can obtain one at http://mozilla.org/MPL/2.0/.
--------------------------------------------------------------------------------

include "Resources/Game/DB/Cooking/Essentials.lua"

do
	local Fruit = ItsyScape.Resource.Ingredient "Fruit"

	ItsyScape.Meta.ResourceName {
		Value = "Fruit",
		Language = "en-US",
		Resource = Fruit
	}

	ItsyScape.Meta.ResourceDescription {
		Value = "Fruit, such as apples and oranges.",
		Language = "en-US",
		Resource = Fruit
	}
end

do
	local Apple = ItsyScape.Resource.Ingredient "Apple"

	ItsyScape.Meta.ResourceName {
		Value = "Apple",
		Language = "en-US",
		Resource = Apple
	}

	ItsyScape.Meta.ResourceDescription {
		Value = "You can obtain apples from foraging apple trees.",
		Language = "en-US",
		Resource = Apple
	}
end

do
	local Pecan = ItsyScape.Resource.Ingredient "Pecan"

	ItsyScape.Meta.ResourceName {
		Value = "Pecan",
		Language = "en-US",
		Resource = Pecan
	}

	ItsyScape.Meta.ResourceDescription {
		Value = "You can obtain pecans from foraging pecan trees.",
		Language = "en-US",
		Resource = Pecan
	}
end

do
	local Pear = ItsyScape.Resource.Ingredient "Pear"

	ItsyScape.Meta.ResourceName {
		Value = "Pear",
		Language = "en-US",
		Resource = Pear
	}

	ItsyScape.Meta.ResourceDescription {
		Value = "You can obtain pears from foraging pear trees.",
		Language = "en-US",
		Resource = Pear
	}
end

do
	local Peach = ItsyScape.Resource.Ingredient "Peach"

	ItsyScape.Meta.ResourceName {
		Value = "Peach",
		Language = "en-US",
		Resource = Peach
	}

	ItsyScape.Meta.ResourceDescription {
		Value = "You can obtain peaches from foraging peach trees.",
		Language = "en-US",
		Resource = Peach
	}
end

do
	local Orange = ItsyScape.Resource.Ingredient "Orange"

	ItsyScape.Meta.ResourceName {
		Value = "Orange",
		Language = "en-US",
		Resource = Orange
	}

	ItsyScape.Meta.ResourceDescription {
		Value = "You can obtain oranges from foraging orange trees.",
		Language = "en-US",
		Resource = Orange
	}
end

do
	local Onion = ItsyScape.Resource.Ingredient "Onion"

	ItsyScape.Meta.ResourceName {
		Value = "Onion",
		Language = "en-US",
		Resource = Onion
	}

	ItsyScape.Meta.ResourceDescription {
		Value = "You can obtain onions from many farms.",
		Language = "en-US",
		Resource = Onion
	}
end

do
	local Celery = ItsyScape.Resource.Ingredient "Celery"

	ItsyScape.Meta.ResourceName {
		Value = "Celery",
		Language = "en-US",
		Resource = Celery
	}

	ItsyScape.Meta.ResourceDescription {
		Value = "You can obtain celery from many farms.",
		Language = "en-US",
		Resource = Celery
	}
end

do
	local Carrot = ItsyScape.Resource.Ingredient "Carrot"

	ItsyScape.Meta.ResourceName {
		Value = "Carrot",
		Language = "en-US",
		Resource = Carrot
	}

	ItsyScape.Meta.ResourceDescription {
		Value = "You can obtain carrots from many farms.",
		Language = "en-US",
		Resource = Carrot
	}
end

do
	local BellPepper = ItsyScape.Resource.Ingredient "BellPepper"

	ItsyScape.Meta.ResourceName {
		Value = "BellPepper",
		Language = "en-US",
		Resource = BellPepper
	}

	ItsyScape.Meta.ResourceDescription {
		Value = "You can obtain bell peppers from many farms.",
		Language = "en-US",
		Resource = BellPepper
	}
end

do
	local Flour = ItsyScape.Resource.Ingredient "Flour"

	ItsyScape.Meta.ResourceName {
		Value = "Flour",
		Language = "en-US",
		Resource = Flour
	}

	ItsyScape.Meta.ResourceDescription {
		Value = "You can obtain flour by milling grains and such.",
		Language = "en-US",
		Resource = Flour
	}
end

do
	local Butter = ItsyScape.Resource.Ingredient "Butter"

	ItsyScape.Meta.ResourceName {
		Value = "Butter",
		Language = "en-US",
		Resource = Butter
	}

	ItsyScape.Meta.ResourceDescription {
		Value = "You can obtain butter from cows.",
		Language = "en-US",
		Resource = Butter
	}
end

do
	local Oil = ItsyScape.Resource.Ingredient "Oil"

	ItsyScape.Meta.ResourceName {
		Value = "Oil",
		Language = "en-US",
		Resource = Oil
	}

	ItsyScape.Meta.ResourceDescription {
		Value = "You can obtain oil from mining or foraging.",
		Language = "en-US",
		Resource = Oil
	}
end

do
	local OilOrFat = ItsyScape.Resource.Ingredient "OilOrFat"

	ItsyScape.Meta.ResourceName {
		Value = "Oil or fat",
		Language = "en-US",
		Resource = OilOrFat
	}

	ItsyScape.Meta.ResourceDescription {
		Value = "Pick your poison!",
		Language = "en-US",
		Resource = OilOrFat
	}
end

do
	local Salt = ItsyScape.Resource.Ingredient "Salt"

	ItsyScape.Meta.ResourceName {
		Value = "Salt",
		Language = "en-US",
		Resource = Salt
	}

	ItsyScape.Meta.ResourceDescription {
		Value = "You can obtain salt from mining, among other things.",
		Language = "en-US",
		Resource = Salt
	}
end

do
	local Sugar = ItsyScape.Resource.Ingredient "Sugar"

	ItsyScape.Meta.ResourceName {
		Value = "Sugar",
		Language = "en-US",
		Resource = Sugar
	}

	ItsyScape.Meta.ResourceDescription {
		Value = "You can obtain sugar for mining sugar cubes and make it from sugar cane.",
		Language = "en-US",
		Resource = Sugar
	}
end

do
	local Chocolate = ItsyScape.Resource.Ingredient "Chocolate"

	ItsyScape.Meta.ResourceName {
		Value = "Chocolate",
		Language = "en-US",
		Resource = Chocolate
	}

	ItsyScape.Meta.ResourceDescription {
		Value = "You can obtain chocolate from chocoroaches and other bugs... But that's really gross.",
		Language = "en-US",
		Resource = Chocolate
	}
end
